For the complete documentation index, see llms.txt. This page is also available as Markdown.

Ivr servers

List virtual receptionist servers

get

List virtual receptionist servers.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
filterstringOptional

Use the filter query parameter to retrieve just a subset of a collection.

searchstringOptional

Use the search query parameter to restrict the results of a request to match a search criterion.

orderbystringOptional

Use the orderby query parameter to specify the sort order of the items returned from server.
The default order is ascending order.

skipinteger · int32Optional

Use the skip query parameter to set the number of items to skip at the start of a collection.

Default: 0
topinteger · int32 · min: 1 · max: 100Optional

Use the top query parameter to specify the page size of the result set.

Default: 100
Responses
200

OK

application/json
countinteger · int64Optional

Total number of resource.

Example: 100
get
/ivr_servers

Create a virtual receptionist server

post

Create a virtual receptionist server.
Please note that: at least one of ipv4 or ipv6 must be specified.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestring · min: 1 · max: 64Required

The name of virtual receptionist server.

enabledbooleanOptional

The activate status or deactivated status.

Default: true
ipv4stringOptional

Host IPV4 address.

ipv6stringOptional

Host IPV6 address.

Responses
post
/ivr_servers

Retrieve a virtual receptionist server

get

Retrieve a virtual receptionist server.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

OK

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
namestring · min: 1 · max: 64Optional

The name of virtual receptionist server.

enabledbooleanOptional

The activate status or deactivated status.

Default: true
ipv4stringOptional

Host IPV4 address.

ipv6stringOptional

Host IPV6 address.

typestring · enumRead-onlyOptional

Every PortSIP PBX has a built-in virtual receptionist server marked as INTERNAL;
Newly added virtual receptionist servers will be marked as "EXTERNAL".

Possible values:
get
/ivr_servers/{id}

Update a virtual receptionist server

post

Update a virtual receptionist server.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Body
enabledbooleanOptional

The activate status or deactivated status.

Default: true
Responses
200

OK

No content

post
/ivr_servers/{id}

No content

Was this helpful?